Bug 1319329 - add nsslapd-auditlog-logging-enabled: off to template-dse.ldif
Summary: add nsslapd-auditlog-logging-enabled: off to template-dse.ldif
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 21:07 UTC by Marc Sauton
Modified: 2019-10-10 11:37 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:40:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Marc Sauton 2016-03-18 21:07:07 UTC
Description of problem:

This is a request to add
nsslapd-auditlog-logging-enabled: off
to the configuration file
/usr/share/dirsrv/data/template-dse.ldif

This is mostly for convenience, when one has to find out a parameter name and syntax, this was about to have nsslapd-auditlog-logging-enabled turned on by default.

It could be a more general request, to have all tunables tha thave default values listed by default in a dse.ldif, that can help reviewing configurations for tuning.

I kind of agree to have "nsslapd-auditlog-logging-enabled: off" and others listed in dse.ldif, it always take time to figure out the name, specially as more knobs are added over time.

Version-Release number of selected component (if applicable):
389-ds-base-1.3.4.0-21.el7_2.x86_64


How reproducible:
N/A


Steps to Reproduce:
1. N/A
2.
3.

Actual results:


Expected results:


Additional info:

Comment 6 Mike McCune 2016-03-28 23:13:32 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 9 Punit Kundal 2016-07-19 13:16:26 UTC
RHEL:
RHEL 7.3 x86_64 Server

DS builds:
[root@ds ~]# rpm -qa | grep 389-ds-base
389-ds-base-libs-1.3.5.10-5.el7.x86_64
389-ds-base-debuginfo-1.3.5.8-1.el7.x86_64
389-ds-base-1.3.5.10-5.el7.x86_64
389-ds-base-snmp-1.3.5.10-5.el7.x86_64

Steps performed:

1. Verified whether 'nsslapd-auditlog-logging-enabled: off' was added to template-dse.ldif file

[root@ds ~]# grep 'nsslapd-auditlog-logging-enabled: off' /usr/share/dirsrv/data/template-dse.ldif 
nsslapd-auditlog-logging-enabled: off

2. Created a standalone DS instance 

3. Verified whether 'nsslapd-auditlog-logging-enabled: off'

[root@ds ~]# grep 'nsslapd-auditlog-logging-enabled: off' /etc/dirsrv/slapd-master1/dse.ldif
nsslapd-auditlog-logging-enabled: off

As can be seen above, the required configuration parameter has been added to both template-dse.ldif and dse.ldif files

Comment 11 errata-xmlrpc 2016-11-03 20:40:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.